#!/bin/bash

# Makes the results for our ACL 2013 submission.

for corpus in gmb20121026 twnc200001x2 biocreative1 paisaselection
do
	# baseline model that doesn't use any context features, only the
	# character to label
	target=generated/$corpus.dev.cat0.eval
	echo
	echo == $target ==
	make $target

	for featureset in cat code codecat
	do
		for windowwidth in 1 3 5 7 9
		do
			target=generated/$corpus.dev.$featureset$windowwidth.eval
			echo
			echo == $target ==
			make $target
		done
	done
done
